coreutils (9.10-1ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Rename the binary package to gnu-coreutils and build with 'gnu' prefix
    - Run the autopkgtest against both Rust and GNU versions.
      Disable the failing nanosecond test case for stat for Rust, and
      re-enable it for the GNU version only.  Some specific care had to be
      taken around swapping the default provider: The coreutils-from-uutils
      are Protected: yes, so we need to remove them inside the test script.
    - d/rules:
     +  Allow cross-build and enable tests when not cross-building
    - d/p/72_id_checkngroups.patch: refreshed
    - debian/patches/80_fedora_sysinfo.dpatch
      + make 'uname -i -p' return the real processor/hardware, instead of
        unknown. Patch cherry-picked from Fedora 12 (original:
        coreutils-4.5.3-sysinfo.patch, from the coreutils-7.6-5.src.rpm).
    - debian/patches/99_float_endian_detection: Fix detection of floating
      point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by excluding
        display of squashfs filesystems.
      + Exclude devtmpfs filesystems in output from df and other tools since
        it is a dummy filesystem.
      (refreshed)
    - d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test
      The behavior of cp -n is different in Debian than in upstream, and this
      test assumes upstream behavior of -n, and how it interacts with -i.
      (refreshed)
  * Dropped (upstreamed) changes:
    - d/p/lp2137373-skip-dirent-inode-sorting-for-lustre.patch:
      Fix slow performance of 'du' on large directories (>= 10K files) on
      Lustre filesystems by skipping inode sorting. The default behaviour of
      sorting dirents by inode numbers negatively impacts performance on
      Lustre because it interferes with Lustre's ability to prefetch file
      metadata via statahead. (LP: 2137373)
  * Rename two debian/coreutils -> debian/gnu-coreutils forgotten files
  * (Closes LP: #2153293)

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 20 Jul 2026 23:29:40 +0200

coreutils (9.10-1) unstable; urgency=low

  * New upstream version
    - cksum now supports sha3
  * update to policy 4.7.3 (minor changes)

 -- Michael Stone <mstone@debian.org>  Thu, 26 Feb 2026 16:59:53 -0500

coreutils (9.7-3ubuntu2) resolute; urgency=medium

  * Fix slow performance of 'du' on large directories (>= 10K files)
    on Lustre filesystems by skipping inode sorting. The default
    behaviour of sorting dirents by inode numbers negatively impacts
    performance on Lustre because it interferes with Lustre's ability
    to prefetch file metadata via statahead. (LP: #2137373)
    - d/p/lp2137373-skip-dirent-inode-sorting-for-lustre.patch

 -- Munir Siddiqui <munir.siddiqui@canonical.com>  Fri, 23 Jan 2026 18:41:52 +0500

coreutils (9.7-3ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - d/tests:
      + Add dep8 tests
    - d/p/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - d/p/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP #2055180)
      The behavior of cp -n is different in Debian than in upstream,
      and this test assumes upstream behavior of -n, and how it
      interacts with -i.
    - d/p/72_id_checkngroups.patch: refreshed
    - Rename the binary package to gnu-coreutils and build with 'gnu' prefix.
    - Run the autopkgtest against both Rust and GNU versions.
      Disable the failing nanosecond test case for stat for Rust,
      and re-enable it for the GNU version only.
      Some specific care had to be taken around swapping the default
      provider: The coreutils-from-uutils are Protected: yes, so we
      need to remove them inside the test script.
  * Dropped (upstreamed) changes:
    - d/p/suppress-permission-denied-errors-on-nfs.patch:
      - Avoid returning permission denied errors when running ls -l when reading
        file attributes. (LP #2115274)

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Oct 2025 09:10:01 +0200

coreutils (9.7-3) unstable; urgency=high

  * Correct spurious permission denied errors messages when copying from a file
    with NFS ACLs to a filesystem which supports different ACLs.
    (Backport of upstream fix.) (Closes: #1107169)
  * Additional lintian overrides (for "mono", which is not defined for
    terminals but is for other output formats) to address remaining lintian
    warnings.

 -- Michael Stone <mstone@debian.org>  Wed, 04 Jun 2025 11:14:05 -0400

coreutils (9.7-2) unstable; urgency=low

  * Build without y2038 support on hurd-i386 (Closes: #1078000)
  * Hardening build flags (Closes: #1023556)
  * Update URLs and metadata (Closes: #1057101)
  * Support nodoc build profile (Closes: #1057136)
  * Remove md5sum.textutils link (Closes: #1061302)
  * Use DEB_VENDOR for packager name
  * Lintian overrides
  * Update standards version (no changes)

 -- Michael Stone <mstone@debian.org>  Sun, 20 Apr 2025 13:39:09 -0400

coreutils (9.7-1) unstable; urgency=low

  * New upstream version
  * Remove Breaks: usrmerge
  * Add libsystemd dependency (Closes: #1080330)
  * Add packager to version output (Closes: #1094325)

 -- Michael Stone <mstone@debian.org>  Wed, 09 Apr 2025 09:09:41 -0400

coreutils (9.6-2) unstable; urgency=low

  * Backport upstream commit 915004f4 to address crash in ls -Z

 -- Michael Stone <mstone@debian.org>  Fri, 04 Apr 2025 10:54:18 -0400

coreutils (9.6-1) unstable; urgency=low

  * New upstream version
  * Disable autoreconf on build (for now)

 -- Michael Stone <mstone@debian.org>  Thu, 03 Apr 2025 13:29:08 -0400

coreutils (9.5-1ubuntu4) questing; urgency=medium

  * Run the autopkgtest against both Rust and GNU versions.
    Disable the failing nanosecond test case for stat for Rust,
    and re-enable it for the GNU version only.
    Some specific care had to be taken around swapping the default
    provider: The coreutils-from-uutils are Protected: yes, so we
    need to remove them inside the test script.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 25 Sep 2025 10:51:15 +0200

coreutils (9.5-1ubuntu3) questing; urgency=medium

  * d/p/suppress-permission-denied-errors-on-nfs.patch:
    - Avoid returning permission denied errors when running ls -l when reading
      file attributes. (LP: #2115274)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Tue, 24 Jun 2025 21:23:49 +0000

coreutils (9.5-1ubuntu2) questing; urgency=medium

  * Rename the binary package to gnu-coreutils and build with 'gnu' prefix

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 08 May 2025 11:06:23 +0200

coreutils (9.5-1ubuntu1.25.10.1) questing; urgency=medium

  * Modify d/rules to dh_auto_configure with --enable-systemd,
    and add libsystemd-dev as Build-Depends in d/control
    to solve LP: #2103489.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 25 Apr 2025 08:55:05 +0200

coreutils (9.5-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP #2055180)
      The behavior of cp -n is different in Debian than in upstream,
      and this test assumes upstream behavior of -n, and how it
      interacts with -i.
    - d/p/72_id_checkngroups.patch: refreshed
  * Dropped (upstreamed) changes:
    - d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
      Fix tailing of sysfs files on systems using a 64K page size.
      (LP 2047450)
    - SECURITY UPDATE: heap overflow in split --line-bytes with very long
      lines
      + debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
        src/split.c.
      + CVE-2024-0684

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 01:30:05 -0600

coreutils (9.5-1) unstable; urgency=low

  * New upstream version (Closes: #1033277)
  * drop cp -n patch
  * drop non-essential attributes in upstream/signing-key.asc to reduce size
  * update watch file to use https rather than ftp

 -- Michael Stone <mstone@debian.org>  Wed, 23 Oct 2024 09:08:43 -0400

coreutils (9.4-3.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2075338). Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
      Fix tailing of sysfs files on systems using a 64K page size.
      (LP 2047450)
    - SECURITY UPDATE: heap overflow in split --line-bytes with very long
      lines
      + debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
        src/split.c.
      + CVE-2024-0684
    - d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP #2055180)
      The behavior of cp -n is different in Debian than in upstream,
      and this test assumes upstream behavior of -n, and how it
      interacts with -i.
    - d/p/72_id_checkngroups.patch: refreshed

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 31 Jul 2024 18:24:19 +0300

coreutils (9.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * DEP17: Move files to /usr. (Closes: #1061274, #1057250)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 09 Mar 2024 18:42:01 +0100

coreutils (9.4-3ubuntu6) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Apr 2024 16:36:57 +0200

coreutils (9.4-3ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:08:43 +0000

coreutils (9.4-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 04:54:09 +0000

coreutils (9.4-3ubuntu2) noble; urgency=medium

  * d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP: #2055180)
    The behavior of cp -n is different in Debian than in upstream, and
    this test assumes upstream behavior of -n, and how it interacts with
    -i.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 27 Feb 2024 12:22:53 -0500

coreutils (9.4-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
      Fix tailing of sysfs files on systems using a 64K page size.
      (LP 2047450)
    - SECURITY UPDATE: heap overflow in split --line-bytes with very long
      lines
      + debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
        src/split.c.
      + CVE-2024-0684
    - DEP17: Move files to /usr. (Closes: #1061274)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 26 Feb 2024 12:50:04 -0500

coreutils (9.4-3) unstable; urgency=low

  * remove arch restriction from libssl-dev build-depend
  * revert cp -n behavior to debian 12 & prior (Closes: #1058752)
  * add deprecation/compatibility warning for above

 -- Michael Stone <mstone@debian.org>  Tue, 02 Jan 2024 08:54:03 -0500

coreutils (9.4-2ubuntu4) noble; urgency=medium

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1061274)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 12:07:56 +0100

coreutils (9.4-2ubuntu3) noble; urgency=medium

  * SECURITY UPDATE: heap overflow in split --line-bytes with very long
    lines
    - debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
      src/split.c.
    - CVE-2024-0684

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 30 Jan 2024 12:57:32 -0500

coreutils (9.4-2ubuntu2) noble; urgency=medium

  * d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
    Fix tailing of sysfs files on systems using a 64K page size.
    (LP: #2047450)

 -- dann frazier <dann.frazier@canonical.com>  Tue, 26 Dec 2023 11:25:09 -0700

coreutils (9.4-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
  * Dropped, unnecessary delta:
    - debian/patches/72_id_checkngroups.patch: patch fuzz
  * New changes:
    - debian/rules: update test path to fix armhf FTBFS
    - debian/tests/upstream: fix paths of test scripts

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 30 Nov 2023 12:02:32 -0500

coreutils (9.4-2) unstable; urgency=low

  * link against libssl if gpl compatible version available; add to
    build-depends for linux-amd64 only at this time (will add others later as
    makes sense)

 -- Michael Stone <mstone@debian.org>  Fri, 10 Nov 2023 08:33:49 -0500

coreutils (9.4-1) unstable; urgency=low

  * New upstream version (Closes: #1017354)
    - corrects cksum crashes due to missing cpu features (Closes: #1037264)
    - corrects copy dir-relative operations (Closes: #1035531)
    - corrects copy backup operations (Closes: #1035530)
  * Drop old 61_whoips.patch and who --ips option; it no longer applies
    cleanly after who.c refactoring, and it isn't clear the patch is still
    useful given how system logging has changed since the patch was written
  * Drop 63_dd-appenderrors.patch as documentation has been updated for ages
  * Update copyright file

 -- Michael Stone <mstone@debian.org>  Thu, 09 Nov 2023 14:18:41 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnu-coreutils`.
